Skip to main content
POST
/
v1
/
mint
curl --request POST \
  --url https://api.pixellabsai.app/v1/mint \
  --header 'Authorization: Bearer pixel_live_abc123def456' \
  --header 'Content-Type: application/json' \
  --data '{
    "generationId": "gen_8f7b2c9a1e3d",
    "name": "Cyberpunk Samurai #001",
    "description": "AI-generated cyberpunk warrior with glowing katana",
    "symbol": "CYBER",
    "royalty": 0.05,
    "attributes": [
      {
        "trait_type": "Style",
        "value": "Cyberpunk"
      },
      {
        "trait_type": "Weapon",
        "value": "Katana"
      },
      {
        "trait_type": "Rarity",
        "value": "Legendary"
      }
    ]
  }'
{
  "mintId": "mint_9g8h7i6j5k4l",
  "nftAddress": "7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU",
  "metadataAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
  "transactionSignature": "5VERv8NMvzbJMEkV8xnrLkEaWRtSz9CosKDYjCJjBRnbJLgp8uirBgmQpjKhoR4tjF3ZpRzrFmBV6UjKdiSZkQUW",
  "status": "confirmed",
  "explorerUrl": "https://explorer.solana.com/tx/5VERv8NMvzbJMEkV8xnrLkEaWRtSz9CosKDYjCJjBRnbJLgp8uirBgmQpjKhoR4tjF3ZpRzrFmBV6UjKdiSZkQUW",
  "createdAt": "2026-03-16T14:31:45Z"
}

Authorization

Authorization
string
required
Bearer token. Format: Bearer <token>

Body Parameters

generationId
string
required
ID of completed generation to mint as NFT. Format: gen_<12 chars>
name
string
required
NFT name. Max 32 characters.
description
string
NFT description. Max 200 characters.
symbol
string
default:"PIXEL"
NFT collection symbol. Max 10 characters.
royalty
number
default:"0.05"
Creator royalty percentage. Range: 0.0 - 0.1 (0% - 10%)
attributes
array
Array of trait objects with trait_type and value properties.

Response

mintId
string
Unique mint identifier. Format: mint_<12 chars>
nftAddress
string
Solana NFT mint address (base58)
metadataAddress
string
Metaplex metadata account address (base58)
transactionSignature
string
Solana transaction signature (base58)
status
string
Mint status. Values: pending, confirmed, failed
explorerUrl
string
Solana Explorer URL for the transaction
createdAt
string
ISO 8601 timestamp of mint request
curl --request POST \
  --url https://api.pixellabsai.app/v1/mint \
  --header 'Authorization: Bearer pixel_live_abc123def456' \
  --header 'Content-Type: application/json' \
  --data '{
    "generationId": "gen_8f7b2c9a1e3d",
    "name": "Cyberpunk Samurai #001",
    "description": "AI-generated cyberpunk warrior with glowing katana",
    "symbol": "CYBER",
    "royalty": 0.05,
    "attributes": [
      {
        "trait_type": "Style",
        "value": "Cyberpunk"
      },
      {
        "trait_type": "Weapon",
        "value": "Katana"
      },
      {
        "trait_type": "Rarity",
        "value": "Legendary"
      }
    ]
  }'
{
  "mintId": "mint_9g8h7i6j5k4l",
  "nftAddress": "7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU",
  "metadataAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
  "transactionSignature": "5VERv8NMvzbJMEkV8xnrLkEaWRtSz9CosKDYjCJjBRnbJLgp8uirBgmQpjKhoR4tjF3ZpRzrFmBV6UjKdiSZkQUW",
  "status": "confirmed",
  "explorerUrl": "https://explorer.solana.com/tx/5VERv8NMvzbJMEkV8xnrLkEaWRtSz9CosKDYjCJjBRnbJLgp8uirBgmQpjKhoR4tjF3ZpRzrFmBV6UjKdiSZkQUW",
  "createdAt": "2026-03-16T14:31:45Z"
}